<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Sundear.PrintServices.Core</name>
    </assembly>
    <members>
        <member name="T:Sundear.PrintServices.Core.BusinessCoreEngine">
            <summary>
            
            </summary>
        </member>
        <member name="M:Sundear.PrintServices.Core.BusinessCoreEngine.GetProvider``1">
            <summary>
            
            </summary>
            <typeparam name="T"></typeparam>
            <returns></returns>
        </member>
        <member name="M:Sundear.PrintServices.Core.BusinessCoreEngine.Dispose">
            <summary>
            
            </summary>
        </member>
        <member name="M:Sundear.PrintServices.Core.Bussiness.Account.GetAllAccount">
            <summary>
            
            </summary>
            <returns></returns>
        </member>
        <member name="M:Sundear.PrintServices.Core.Bussiness.Account.GetAllAccountByCache">
            <summary>
            获取所有账号信息
            </summary>
            <returns></returns>
        </member>
        <member name="M:Sundear.PrintServices.Core.Bussiness.Account.CheckAccountApiKey(System.String,System.String)">
            <summary>
            
            </summary>
            <param name="accountID"></param>
            <param name="apiKey"></param>
            <returns></returns>
        </member>
        <member name="M:Sundear.PrintServices.Core.Bussiness.Application.GetAllAppByCache">
            <summary>
            
            </summary>
            <returns></returns>
        </member>
        <member name="M:Sundear.PrintServices.Core.Bussiness.Application.GetAppByAppKey(System.String)">
            <summary>
            获取App
            </summary>
            <param name="appKey"></param>
            <returns></returns>
        </member>
        <member name="M:Sundear.PrintServices.Core.Bussiness.PrintEquipment.getPrintEquipmentInfoByName(System.String,System.Int32,System.String,System.Int32)">
            <summary>
            根据名称获取设备管理，若存在id表示排除当前id
            </summary>
            <param name="CompanyName"></param>
            <param name="ForwarderID"></param>
            <returns></returns>
        </member>
        <member name="T:Sundear.PrintServices.Core.Bussiness.PrintList">
            <summary>
            
            </summary>
        </member>
        <member name="M:Sundear.PrintServices.Core.Dao.Imp.AccountDao.GetAllAccount">
            <summary>
            
            </summary>
            <returns></returns>
        </member>
        <member name="M:Sundear.PrintServices.Core.Dao.Imp.ApplicationDao.GetAllApp">
            <summary>
            
            </summary>
            <returns></returns>
        </member>
        <member name="M:Sundear.PrintServices.Core.Dao.Imp.PrintEquipmentDao.getPrintEquipmentInfoByName(System.String,System.Int32,System.String,System.Int32)">
            <summary>
            根据名称获取设备管理，若存在id表示排除当前id
            </summary>
            <param name="CompanyName"></param>
            <param name="ForwarderID"></param>
            <returns></returns>
        </member>
        <member name="M:Sundear.PrintServices.Core.Dao.Imp.PrintListDao.StartPrint(System.Int32)">
            <summary>
            
            </summary>
            <param name="PrintListID"></param>
        </member>
        <member name="M:Sundear.PrintServices.Core.Dao.Imp.PrintListDao.BatchSetPrintStatus(System.String,System.Int16,System.Int32,System.Int32)">
            <summary>
            
            </summary>
            <param name="ids"></param>
        </member>
        <member name="M:Sundear.PrintServices.Core.Dao.Imp.PrintOnlineDao.GetPrintOnline(System.Int32,System.String)">
            <summary>
            
            </summary>
            <param name="OnlineStatusID"></param>
            <returns></returns>
        </member>
        <member name="T:Sundear.PrintServices.Core.Enumeration.CodeTypeEnum">
            <summary>
            打印列表：二维码类型
            </summary>
        </member>
        <member name="F:Sundear.PrintServices.Core.Enumeration.AfterSaleResultType.WaitGoods">
            <summary>
            此状态为标志状态，待收货阶段没有明细
            </summary>
        </member>
        <member name="T:Sundear.PrintServices.Core.Enumeration.userRoleEnum">
            <summary>
            用户权限对应的value值
            </summary>
        </member>
        <member name="T:Sundear.PrintServices.Core.Enumeration.RegisterOperStatus">
            <summary>
            
            </summary>
        </member>
        <member name="T:Sundear.PrintServices.Core.Enumeration.HistoryOperationType">
            <summary>
            相关动态分类（目前只有1,2，3,4）,二维码枚举类（目前只有5,6）
            </summary>
        </member>
        <member name="F:Sundear.PrintServices.Core.Enumeration.HistoryOperationType.Stock">
            <summary>
            库存二维码生成格式：枚举值，库存编号，库存品名，库存单位（5,001;商品1;卷）
            </summary>
        </member>
        <member name="F:Sundear.PrintServices.Core.Enumeration.HistoryOperationType.Sample">
            <summary>
            样品二维码生成格式：枚举值，样品id（6,1）
            </summary>
        </member>
        <member name="T:Sundear.PrintServices.Core.Enumeration.HistoryOperationTitleType">
            <summary>
            相关动态分类
            </summary>
        </member>
        <member name="T:Sundear.PrintServices.Core.Enumeration.HistoryOperationContentType">
            <summary>
            相关动态分类
            </summary>
        </member>
        <member name="T:Sundear.PrintServices.Core.Enumeration.IsSystemEnum">
            <summary>
            类型定义类别
            </summary>
        </member>
        <!-- 对于成员“T:Sundear.PrintServices.Core.Enumeration.IsSystemFieldEnum”忽略有格式错误的 XML 注释 -->
        <member name="T:Sundear.PrintServices.Core.Enumeration.IsHiddenEnum">
            <summary>
            是否隐藏
            </summary>
        </member>
        <member name="T:Sundear.PrintServices.Core.Enumeration.FieldTypeEnum">
            <summary>
            字段类型
            </summary>
        </member>
        <member name="T:Sundear.PrintServices.Core.Enumeration.PrintStatusEnum">
            <summary>
            打印状态定义
            </summary>
        </member>
        <member name="T:Sundear.PrintServices.Core.Enumeration.IsMultAccountEnum">
            <summary>
            是否多账号
            </summary>
        </member>
        <member name="P:Sundear.PrintServices.Core.PrintListInfo.Rotate">
            <summary>
            旋转角度
            </summary>
        </member>
        <member name="T:Sundear.PrintServices.Core.Search.SearchPrintEquipment">
            <summary>
            打印设备Search
            </summary>
        </member>
        <member name="P:Sundear.PrintServices.Core.Search.SearchPrintList.PrintStatus">
            <summary>
            打印状态
            </summary>
        </member>
    </members>
</doc>
